/* 页脚与头图透明 */
#footer {
  background: transparent !important;
}

#page-header {
  background: transparent !important;
}

/* 白天模式遮罩透明 */
#footer::before {
  background: transparent !important;
}

#page-header::before {
  background: transparent !important;
}

/* 夜间模式遮罩透明 */
[data-theme="dark"] #footer::before {
  background: transparent !important;
}

[data-theme="dark"] #page-header::before {
  background: transparent !important;
}

/* 小冰分类分类磁铁黑夜模式适配 */
/* 一般状态 */
[data-theme="dark"] .magnet_link_context {
  background: #1e1e1e;
  color: antiquewhite;
}

/* 鼠标悬浮状态 */
[data-theme="dark"] .magnet_link_context:hover {
  background: #3ecdf1;
  color: #f2f2f2;
}

/* 小冰 文章双侧栏显示页码按钮排版修复 */
#pagination {
  width: 100%;
  margin: auto;
}

/* 导航栏魔改 */
/* 一级菜单居中 */
#nav .menus_items {
  position: absolute !important;
  width: fit-content !important;
  left: 50% !important;
  transform: translateX(-50%) !important;
}

/* 子菜单横向展示 */
#nav .menus_items .menus_item:hover .menus_item_child {
  display: flex !important;
}

/* 这里的2是代表导航栏的第2个元素，即有子菜单的元素，可以按自己需求修改 */
.menus_items .menus_item:nth-child(3) .menus_item_child {
  left: -85px;
}

.menus_items .menus_item:nth-child(4) .menus_item_child {
  left: -85px;
}

/* 霓虹灯效果 */
/* 日间模式不生效 */
[data-theme="light"] #site-name,
[data-theme="light"] #site-title,
[data-theme="light"] #site-subtitle,
[data-theme="light"] #post-info {
  animation: none;
}

/* 夜间模式生效 */
[data-theme="dark"] #site-name,
[data-theme="dark"] #site-title {
  animation: light_15px 10s linear infinite;
}

[data-theme="dark"] #site-subtitle {
  animation: light_10px 10s linear infinite;
}

[data-theme="dark"] #post-info {
  animation: light_5px 10s linear infinite;
}

/* 关键帧描述 */
@keyframes light_15px {
  0% {
    text-shadow: #5636ed 0 0 15px;
  }

  12.5% {
    text-shadow: #11ee5e 0 0 15px;
  }

  25% {
    text-shadow: #f14747 0 0 15px;
  }

  37.5% {
    text-shadow: #f1a247 0 0 15px;
  }

  50% {
    text-shadow: #f1ee47 0 0 15px;
  }

  50% {
    text-shadow: #b347f1 0 0 15px;
  }

  62.5% {
    text-shadow: #002afa 0 0 15px;
  }

  75% {
    text-shadow: #ed709b 0 0 15px;
  }

  87.5% {
    text-shadow: #39c5bb 0 0 15px;
  }

  100% {
    text-shadow: #5636ed 0 0 15px;
  }
}

@keyframes light_10px {
  0% {
    text-shadow: #5636ed 0 0 10px;
  }

  12.5% {
    text-shadow: #11ee5e 0 0 10px;
  }

  25% {
    text-shadow: #f14747 0 0 10px;
  }

  37.5% {
    text-shadow: #f1a247 0 0 10px;
  }

  50% {
    text-shadow: #f1ee47 0 0 10px;
  }

  50% {
    text-shadow: #b347f1 0 0 10px;
  }

  62.5% {
    text-shadow: #002afa 0 0 10px;
  }

  75% {
    text-shadow: #ed709b 0 0 10px;
  }

  87.5% {
    text-shadow: #39c5bb 0 0 10px;
  }

  100% {
    text-shadow: #5636ed 0 0 10px;
  }
}

@keyframes light_5px {
  0% {
    text-shadow: #5636ed 0 0 5px;
  }

  12.5% {
    text-shadow: #11ee5e 0 0 5px;
  }

  25% {
    text-shadow: #f14747 0 0 5px;
  }

  37.5% {
    text-shadow: #f1a247 0 0 15px;
  }

  50% {
    text-shadow: #f1ee47 0 0 5px;
  }

  50% {
    text-shadow: #b347f1 0 0 5px;
  }

  62.5% {
    text-shadow: #002afa 0 0 5px;
  }

  75% {
    text-shadow: #ed709b 0 0 5px;
  }

  87.5% {
    text-shadow: #39c5bb 0 0 5px;
  }

  100% {
    text-shadow: #5636ed 0 0 5px;
  }
}


/* 页面样式调节，美化展示 */
:root {
  --trans-light: rgba(255, 255, 255, 0.95);
  --trans-dark: rgba(25, 25, 25, 0.88);
  --border-style: 1px solid rgb(169, 169, 169);
  /* blur(5px) saturate(150%); */
  --backdrop-filter: none
}

/* 首页文章卡片 */
#recent-posts>.recent-post-item {
  background: var(--trans-light);
  backdrop-filter: var(--backdrop-filter);
  border-radius: 15px;
  border: var(--border-style);
}

/* 首页侧栏卡片 */
#aside-content .card-widget {
  background: var(--trans-light);
  backdrop-filter: var(--backdrop-filter);
  border-radius: 15px;
  border: var(--border-style);
}

/* 文章页、归档页、普通页面 */
div#post,
div#page,
div#archive {
  background: var(--trans-light);
  backdrop-filter: var(--backdrop-filter);
  border: var(--border-style);
  border-radius: 15px;
}

/* 导航栏 */
#page-header.nav-fixed #nav {
  background: rgba(255, 255, 255, 0.75);
  backdrop-filter: var(--backdrop-filter);
}

[data-theme="dark"] #page-header.nav-fixed #nav {
  background: rgba(0, 0, 0, 0.7) !important;
}

/* 夜间模式遮罩 */
[data-theme="dark"] #recent-posts>.recent-post-item,
[data-theme="dark"] #aside-content .card-widget,
[data-theme="dark"] div#post,
[data-theme="dark"] div#archive,
[data-theme="dark"] div#page {
  background: var(--trans-dark);
}


/* 夜间模式页脚页头遮罩透明 */
[data-theme="dark"] #footer::before {
  background: transparent !important;
}

[data-theme="dark"] #page-header::before {
  background: transparent !important;
}

/* 阅读模式 */
.read-mode #aside-content .card-widget {
  background: rgba(158, 204, 171, 0.5) !important;
}

.read-mode div#post {
  background: rgba(158, 204, 171, 0.5) !important;
}

/* 夜间模式下的阅读模式 */
[data-theme="dark"] .read-mode #aside-content .card-widget {
  background: rgba(25, 25, 25, 0.9) !important;
  color: #ffffff;
}

[data-theme="dark"] .read-mode div#post {
  background: rgba(25, 25, 25, 0.9) !important;
  color: #ffffff;
}

/*哔哩哔哩视频适配*/
.aspect-ratio {
  position: relative;
  width: 90%;
  height: auto;
  padding-bottom: 75%;
  margin: 3% auto;
  text-align: center;
}

.aspect-ratio iframe {
  position: absolute;
  width: 100%;
  height: 86%;
  left: 0;
  top: 0;
}


/* 欢迎信息 */
#welcome-info {
  background: linear-gradient(45deg, #b9f4f3, #e3fbf9);
  border-radius: 18px;
  padding: 8px;
}

[data-theme="dark"] #welcome-info {
  background: #212121;
}